Bug 413171 - avc: denied
avc: denied
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 18:37 EST by Robert McLachlan
Modified: 2008-04-28 08:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 08:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert McLachlan 2007-12-05 18:37:12 EST
Description of problem: I was installing firestarter when the crash happened.


Version-Release number of selected component (if applicable):
Summary
    SELinux is preventing /sbin/modprobe (insmod_t) "sys_nice" to <Unknown>
    (insmod_t).

Detailed Description
    SELinux denied access requested by /sbin/modprobe. It is not expected that
    this access is required by /sbin/modprobe and this access may signal an
    intrusion attempt. It is also possible that the specific version or
    configuration of the application is causing it to require additional access.

Allowing Access
    You can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:insmod_t
Target Context                system_u:system_r:insmod_t
Target Objects                None [ capability ]
Affected RPM Packages         module-init-tools-3.3-0.pre11.1.0.fc7
                              [application]
Policy RPM                    selinux-policy-2.6.4-57.fc7
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.23.1-21.fc7 #1 SMP
                              Thu Nov 1 21:09:24 EDT 2007 i686 i686
Alert Count                   2
First Seen                    Wed 05 Dec 2007 03:16:42 PM PST
Last Seen                     Wed 05 Dec 2007 03:19:26 PM PST
Local ID                      93cbf78d-03ce-44af-be58-2fe831c35cc2
Line Numbers                  

Raw Audit Messages            

avc: denied { sys_nice } for comm="modprobe" egid=0 euid=0 exe="/sbin/modprobe"
exit=0 fsgid=0 fsuid=0 gid=0 items=0 pid=2908
scontext=system_u:system_r:insmod_t:s0 sgid=0 subj=system_u:system_r:insmod_t:s0
suid=0 tclass=capability tcontext=system_u:system_r:insmod_t:s0 tty=(none) uid=0



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Clasen 2008-02-05 18:35:28 EST
This was clearly meant to be assigned to module-init-tools, not intltool.
Comment 2 Jon Masters 2008-04-25 21:50:02 EDT
Found this bug when hunting down things assigned to the wrong account, refiled
it with dwalsh as it's SE Linux policy related.
Comment 3 Daniel Walsh 2008-04-28 08:33:20 EDT
This has been fixed for months.

Note You need to log in before you can comment on or make changes to this bug.